const data = [
  { value: 10 },
  { value: 50 },
  { value: 30 },
  { value: 40 },
  { value: 20 },
  { value: 70 },
  { value: 50 },
];

const xScale = d3.scaleLinear()
	.domain([0, 6])
	.range([0, 600]);

const yScale = d3.scaleLinear()
	.domain([0, 80])
	.range([150, 0]);

const lineGenerator = d3.line()
	.x((d, i) => xScale(i))
	.y((d) => yScale(d.value));

const pathData = lineGenerator(data);
d3.select('g')
	.append('path')
	.attr('fill', 'none')
	.attr('stroke', '#ccc')
	.attr('d', pathData)